<?php

namespace Drupal\eca_content\EventSubscriber;

use Drupal\eca\EventSubscriber\EcaBase;
use Drupal\eca_content\Plugin\ECA\Event\ContentEntityEvent;

/**
 * ECA event subscriber.
 */
class EcaContent extends EcaBase {

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents(): array {
    $events = [];
    foreach (ContentEntityEvent::actions() as $action) {
      $events[$action['drupal_id']][] = ['onEvent'];
    }
    return $events;
  }

}
