<?php

namespace Drupal\eca_content\Event;

/**
 * Contains all events triggered by Calunda module regarding content entities.
 */
final class ContentEntityEvents {

  public const BUNDLECREATE = 'eca.content_entity.bundlecreate';

  public const BUNDLEDELETE = 'eca.content_entity.bundledelete';

  public const CREATE = 'eca.content_entity.create';

  public const REVISIONCREATE = 'eca.content_entity.revisioncreate';

  public const PRELOAD = 'eca.content_entity.preload';

  public const LOAD = 'eca.content_entity.load';

  public const STORAGELOAD = 'eca.content_entity.storageload';

  public const PRESAVE = 'eca.content_entity.presave';

  public const INSERT = 'eca.content_entity.insert';

  public const UPDATE = 'eca.content_entity.update';

  public const TRANSLATIONCREATE = 'eca.content_entity.translationcreate';

  public const TRANSLATIONINSERT = 'eca.content_entity.translationsinsert';

  public const TRANSLATIONDELETE = 'eca.content_entity.translationdelete';

  public const PREDELETE = 'eca.content_entity.predelete';

  public const DELETE = 'eca.content_entity.delete';

  public const REVISIONDELETE = 'eca.content_entity.revisiondelete';

  public const VIEW = 'eca.content_entity.view';

  public const PREPAREVIEW = 'eca.content_entity.prepareview';

  public const PREPAREFORM = 'eca.content_entity.prepareform';

  public const FIELDVALUESINIT = 'eca.content_entity.fieldvaluesinit';

}
