<?php

namespace Drupal\eca\Plugin\Condition;

use Drupal\Component\EventDispatcher\Event;

/**
 * Interface for ECA provided conditions.
 */
interface ConditionInterface {

  /**
   * @param \Drupal\Component\EventDispatcher\Event $event
   *
   * @return \Drupal\eca\Plugin\Condition\ConditionInterface
   */
  public function setEvent(Event $event): ConditionInterface;

  /**
   * @return \Drupal\Component\EventDispatcher\Event
   */
  public function getEvent(): Event;

}
